| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
MainStatusBar Class Reference

The main status bar of the application. More...

`#include <main_status_bar.h>`

Inheritance diagram for MainStatusBar:

## Public Slots
void | setCaptureFile (capture_file *cf)
| Sets the active capture file.
void | selectedFieldChanged (FieldInformation *finfo)
| Handles a change in the selected field.
void | highlightedFieldChanged (FieldInformation *finfo)
| Handles a change in the highlighted field.
void | selectedFrameChanged (QList< int >)
| Handles a change in the selected frame.
void | updateCaptureStatistics (capture_session *cap_session)
| Updates the capture statistics.
void | updateCaptureFixedStatistics (capture_session *cap_session)
| Updates fixed capture statistics.
void | captureEventHandler (CaptureEvent ev)
| Handles a capture event.

## Signals
void | showExpertInfo ()
| Signal emitted to show the expert info dialog.
void | editCaptureComment ()
| Signal emitted to edit the capture comment.
void | stopLoading ()
| Signal emitted to stop the loading process.

## Public Member Functions
| MainStatusBar (QWidget *parent=0)
| Constructs a new MainStatusBar.
virtual | ~MainStatusBar ()
| Destroys the MainStatusBar.
void | showExpert ()
| Shows the expert information dialog.
void | captureFileClosing ()
| Handles the capture file closing event.
void | expertUpdate ()
| Updates the expert information status.
void | setFileName (CaptureFile &cf)
| Sets the file name to display.
void | setFieldStatusSupplement (const QString &supplement, bool include_selected_field=true)
| Optional supplement for STATUS_CTX_FIELD, formatted by the caller.

## Protected Types
enum | StatusContext { STATUS_CTX_MAIN , STATUS_CTX_FILE , STATUS_CTX_FIELD , STATUS_CTX_BYTE , STATUS_CTX_FILTER , STATUS_CTX_PROGRESS , STATUS_CTX_TEMPORARY }
| Context identifiers for status bar messages. More...

## Protected Member Functions
virtual void | changeEvent (QEvent *event) override
| Handles state change events.
virtual void | showCaptureStatistics ()
| Displays the capture statistics.
void | pushGenericStatus (StatusContext status, const QString &message, const QString &messagetip=QString())
| Pushes a generic status message.
void | popGenericStatus (StatusContext status)
| Pops a generic status message.

## Protected Attributes
capture_file * | cap_file_
bool | cs_fixed_
uint64_t | cs_count_

## Detailed Description

The main status bar of the application.

## Member Enumeration Documentation

## ◆ StatusContext

enum MainStatusBar::StatusContext
| protected

Context identifiers for status bar messages.

Enumerator
STATUS_CTX_MAIN | Main context.
STATUS_CTX_FILE | File context.
STATUS_CTX_FIELD | Field context.
STATUS_CTX_BYTE | Byte context.
STATUS_CTX_FILTER | Filter context.
STATUS_CTX_PROGRESS | Progress context.
STATUS_CTX_TEMPORARY | Temporary context.

## Constructor & Destructor Documentation

## ◆ MainStatusBar()

MainStatusBar::MainStatusBar | ( | QWidget * | parent = 0 | ) |
| explicit

Constructs a new MainStatusBar.

Parameters

  parent | The parent widget, defaults to 0.

## Member Function Documentation

## ◆ captureEventHandler

void MainStatusBar::captureEventHandler | ( | CaptureEvent | ev | ) |
| slot

Handles a capture event.

Parameters

  ev | The capture event to process.

## ◆ changeEvent()

void MainStatusBar::changeEvent | ( | QEvent * | event | ) |
| override protected virtual

Handles state change events.

Parameters

  event | The event to handle.

## ◆ highlightedFieldChanged

void MainStatusBar::highlightedFieldChanged | ( | FieldInformation * | finfo | ) |
| slot

Handles a change in the highlighted field.

Parameters

  finfo | Pointer to the highlighted field information.

## ◆ popGenericStatus()

void MainStatusBar::popGenericStatus | ( | StatusContext | status | ) |
| protected

Pops a generic status message.

Parameters

  status | The status context to pop.

## ◆ pushGenericStatus()

void MainStatusBar::pushGenericStatus | ( | StatusContext | status,
|  | const QString & | message,
|  | const QString & | messagetip = QString() )
| protected

Pushes a generic status message.

Parameters

  status | The status context.
  message | The message text.
  messagetip | Optional tooltip for the message.

## ◆ selectedFieldChanged

void MainStatusBar::selectedFieldChanged | ( | FieldInformation * | finfo | ) |
| slot

Handles a change in the selected field.

Parameters

  finfo | Pointer to the new field information.

## ◆ setCaptureFile

void MainStatusBar::setCaptureFile | ( | capture_file * | cf | ) |
| slot

Sets the active capture file.

Parameters

  cf | Pointer to the capture file.

## ◆ setFieldStatusSupplement()

void MainStatusBar::setFieldStatusSupplement | ( | const QString & | supplement,
|  | bool | include_selected_field = true )

Optional supplement for STATUS_CTX_FIELD, formatted by the caller.

When include_selected_field is true and a field is selected, the selected-field text is appended after supplement.

## ◆ setFileName()

void MainStatusBar::setFileName | ( | CaptureFile & | cf | ) |

Sets the file name to display.

Parameters

  cf | The capture file.

## ◆ showCaptureStatistics()

void MainStatusBar::showCaptureStatistics | ( |  | ) |
| protected virtual

Displays the capture statistics.

Reimplemented in StratosharkMainStatusBar.

## ◆ updateCaptureFixedStatistics

void MainStatusBar::updateCaptureFixedStatistics | ( | capture_session * | cap_session | ) |
| slot

Updates fixed capture statistics.

Parameters

  cap_session | Pointer to the capture session.

## ◆ updateCaptureStatistics

void MainStatusBar::updateCaptureStatistics | ( | capture_session * | cap_session | ) |
| slot

Updates the capture statistics.

Parameters

  cap_session | Pointer to the capture session.

## Member Data Documentation

## ◆ cap_file_

capture_file* MainStatusBar::cap_file_
| protected

Pointer to the active capture file.

## ◆ cs_count_

uint64_t MainStatusBar::cs_count_
| protected

Count of captured statistics.

## ◆ cs_fixed_

bool MainStatusBar::cs_fixed_
| protected

Flag indicating if capture statistics are fixed.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/main_status_bar.h
- /builds/wireshark/wireshark/ui/qt/main_status_bar.cpp